HPL_dlaswp10N(3)

NAME
HPL_dlaswp10N - performs a series column interchanges.

SYNOPSIS
#include "hpl.h"

void HPL_dlaswp10N( const int M, const int N, double * A, const int LDA, const int * IPIV );

DESCRIPTION
HPL_dlaswp10N performs a sequence of local column interchanges on a matrix A. One column interchange is initiated for columns 0 through N-1 of A.

ARGUMENTS

M       (local input)           const int
    __arg0__

N       (local input)           const int
    On entry, M specifies the number of rows of the array A. M must be at least zero.

A       (local input/output)    double *
    On entry, N specifies the number of columns of the array A. N must be at least zero.

LDA     (local input)           const int
    On entry, A points to an array of dimension (LDA,N). This array contains the columns onto which the interchanges should be applied. On exit, A contains the permuted matrix.

IPIV    (local input)           const int *
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least MAX(1,M).

SEE ALSO
HPL_dlaswp00N (3), HPL_dlaswp10N (3), HPL_dlaswp01N (3), HPL_dlaswp01T (3), HPL_dlaswp02N (3), HPL_dlaswp03N (3), HPL_dlaswp03T (3), HPL_dlaswp04N (3), HPL_dlaswp04T (3), HPL_dlaswp05N (3), HPL_dlaswp05T (3), HPL_dlaswp06N (3), HPL_dlaswp06T (3).